Bug 1259084 - Unable to override value of Debug to deployment
Unable to override value of Debug to deployment
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: y2
: 7.0 (Kilo)
Assigned To: Marek Aufart
Udi
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 19:29 EDT by Graeme Gillies
Modified: 2015-12-21 11:48 EST (History)
7 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.10-12.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, the 'debug' parameter was enabled and hard-coded in the overcloud deployment code and there was no way to disable the debug mode by an user. With this update, the 'debug' parameter is removed from the default hard-coded parameters in the overcloud deployment code. As a result, the user can now control debug move in the environment file used to deploy the overcloud.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:48:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 224058 None None None Never

  None (edit)
Description Graeme Gillies 2015-09-01 19:29:49 EDT
At the moment, no matter what environment file you pass in, you can't change the value of Debug that gets passed to the heat stack overcloud when you run 'openstack overcloud deploy'. This is incredibly annoying as a lot of times you don't want debug logging enabled by default
Comment 3 Marek Aufart 2015-09-16 08:32:09 EDT
Disable debug can be done by passing --no-debug flag to overcloud deploy, patch is for review. The --no-debug (or another solution) can be discussed.
Comment 4 Graeme Gillies 2015-09-16 21:27:36 EDT
Hi,

I think it possibly should be the opposite. We don't want to default to debug logging enabled, on a lot of services it is ridiculously verbose to the point of uselessness.

Likewise I'm not sure I agree that having an option to the unified CLI should be the best solution for this. We should simply allow people to change this through the templates as needed, and in fact, should allow it to be tweakable per component as there will be times I want debug enabled on say, keystone, but nothing else
Comment 5 Marek Aufart 2015-09-18 04:53:19 EDT
Hi, ok, so it might make a sense remove Debug from parameters in overcloud deploy command. Patch was updated. Would it be better?
Comment 6 Graeme Gillies 2015-09-20 20:49:06 EDT
Commented on the code review, this looks perfect to me

Regards,

Graeme
Comment 11 Udi 2015-11-29 06:42:34 EST
Debug on the overcloud is false. Verified with osp-d 7.2.
Comment 13 errata-xmlrpc 2015-12-21 11:48:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2650

Note You need to log in before you can comment on or make changes to this bug.